Bug 1032454 - can't run policycoreutils-gui
can't run policycoreutils-gui
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 04:03 EST by Petr Lautrbach
Modified: 2014-02-12 09:43 EST (History)
3 users (show)

See Also:
Fixed In Version: policycoreutils-2.2.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 23:05:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2013-11-20 04:03:17 EST
Description of problem:
$ selinux-polgengui

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(selinux-polgengui:1391): libglade-WARNING **: unknown attribute `swapped' for <signal>.
Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 771, in <module>
    app = childWindow()
  File "/usr/bin/selinux-polgengui", line 198, in __init__
    self.all_modules = get_all_modules()
  File "/usr/bin/selinux-polgengui", line 54, in get_all_modules
    self.error(e.output)
NameError: global name 'self' is not defined

$ rpm -qf /usr/bin/selinux-polgengui
policycoreutils-gui-2.2.2-1.fc21.x86_64
Comment 1 Daniel Walsh 2013-11-20 09:20:41 EST
Fixed in  policycoreutils-2.2.2-2.fc21
Comment 2 Fedora Update System 2013-11-20 10:10:42 EST
policycoreutils-2.2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/policycoreutils-2.2.2-2.fc20
Comment 3 Fedora Update System 2013-11-23 22:40:01 EST
Package policycoreutils-2.2.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.2.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21965/policycoreutils-2.2.2-2.fc20
then log in and leave karma (feedback).
Comment 4 lnie 2013-11-25 00:03:18 EST
fixed with policycoreutils-2.2.2-2.fc20
Comment 5 Fedora Update System 2013-11-25 23:05:26 EST
policycoreutils-2.2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-02-12 09:43:50 EST
policycoreutils-2.2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.